ITCAM RPT RFT Robot Support Matrix

1 like Updated 1/6/15 10:20 AM by harrietjTags:

RPT  RFT and Rational Robot versions supported for use with ITCAM for Transactions

Use the following link to check the current status of RPT, RFT, and Rational Robot, support by Rational software:

http://www.ibm.com/software/rational/support/lifecycle/





The ITCAMfT certification process certifies major feature packs of RPT and RFT to work with different versions of ITCAMfT product.





Minor fixpacks such as RPT 8.3.0.3 or RPT 8.3.1.1 are not automatically put through the certification process. However, if a major feature pack is listed as supported for your version of ITCAMfT, all minor fixpacks for that release are also supported.  For example: If RPT 8.3.1.0 appears in the table as a supported release, then 8.3.1.1 is also supported.



Rational Performance Tester (RPT) - Support Matrix

 
7.0.0.0
7.0.0.2
7.0.1
7.0.2
8.0.0.0
8.0.0.3
8.1.0
8.1.1
8.2.0
8.2.1
8.3.0 8.6.0
ITCAM for Transactions 7.4

7.4.0.0-TIV-CAMRT-IF0024

                  X X X

7.4.0.0-TIV-CAMRT-IF0021

                  X X X
 
 
 
 
 
     
 
X
[X]  
ITCAM for Transactions 7.3

7.3.0.1-TIV-CAMRT-IF0033

            X X X X X  
7.3.0.1-TIV-CAMRT-IF0026



replaces FP0001
           
X
X
[X]
X
X  
 
 
 
 
 
 
X
X
[X]
X
   
 
 
 
 
 
 
X
X
[X]
     
ITCAM for Transactions 7.2 EOS April 2015
       
X
X
[X]
X
       
       
X
X
[X]
X
       
 
     
X
X
[X]
 
       
ITCAM for Transactions 7.1 EOS Sept 2014
X
X
X
X
X
X
 
 
 
     
FP0003 no longer avalable
X
X
X
X
[X]
X
           
X
X
X
X
[X]
X
 
 
 
 
   
X
X
X
X
[X]
 
           
X
X
[X]
 
 
 
   
 
     

[X] Version of RPT shipped with this package

 

  • The following operating systems are now supported for playing back scripts recorded in RPT 8.6 that have been exported to ITCAM for Transactions using Rational Integration Support delivered with 7.4.0.0-TIV-CAMRT-IF0021:

    Windows 8.1 Enterprise

    Windows Server 2012 Standard Edition

     
  • RPT 8.5 IS NOT supported by ITCAMfT

    RPT users needing new features introduced since RPT 8.3.0.x MUST upgrade to RPT 8.6 and install 7.4.0.0-TIV-CAMRT-IF0021

     
  • ITCAMfT 7.3.x DOES NOT support versions of RPT beyond 8.3.0.x

     
  • The 64 bit version of RPT is not supported for use with ITCAMfT Rational Integration Support

    The 32 bit option must be selected when installing RPT

     
  • For script recording and development Rational Performance Tester can only be installed with ITCAMfRTT/RT/T integration in a Windows environment

    .
  • Linux and AIX can only be used for playing back RPT http and https scripts. (running in 32-bit mode)

     
  • The ability to set thresholds against subtransactions in ITCAMfT 7.2 requires a minimum of RPT 8.0+ and the ITCAM Rational Integration Package plug-in supplied with ITCAMfT 7.2. Similarly, the ability to view content capture information in ITCAMfT 7.2.0.1 only works when RPT 8.0+ is used. Earlier versions of RPT are still supported in ITCAMfT 7.2 but new functions do not work.

 

Rational Functional Tester (RFT) - Support Matrix

 
8.1.0
8.1.1
8.2.0
8.2.1
8.2.2 8.3.0 8.6.0
ITCAM for Transactions 7.4
7.4.0.0-TIV-CAMRT-IF0021       X X X X
 
 
 
X
X [X]  
ITCAM for Transactions 7.3
IF0026



replaces FP0001
X X [X] X      
7.3.0.0-TIV-CAMRT-FP0001
X
X
[X]
X
     
X
X
[X]
       
ITCAM for Transactions 7.2 EOS April 2015
[X]
X
 
       
[X]
 
 
 
     
[X]
 
 
       

[X] = Version of RFT shipped with this package

  • The following operating systems are now supported for playing back scripts recorded in RFT 8.6 that have been exported to ITCAM for Transactions using Rational Integration Support delivered with 7.4.0.0-TIV-CAMRT-IF0021:

    Windows 8.1 Enterprise

    Windows Server 2012 Standard Edition

     
  • RFT 8.5 IS NOT supported by ITCAMfT

    RFT users needing new features introduced since RFT 8.3.0.x MUST upgrade to RFT 8.6 and install 7.4.0.0-TIV-CAMRT-IF0021

     
  • ITCAMfT 7.3.x does NOT support versions of RFT beyond 8.3.0.x

     
  • Although RFT 8.2.0.0 is supported, we recommend upgrading your environment to a minimum of RFT 8.2.0.2 IF001 to ensure correct labelling and ARM data for subtransactions.



Rational Robot - Support Matrix

  Robot V7.0.1 Robot V7.0.2*
ITCAM for Transactions 7.4
Not supported **
ITCAM for Transactions 7.3
IF0026



replaces FP0001
X [X]
7.3.0.0-TIV-CAMRT-FP0001 X [X]
ITCAM for Transactions 7.3 GA X [X]
ITCAM for Transactions 7.2 EOS April 2015
7.2.0.0-TIV-CAMRT-FP0002 X [X]
7.2.0.0-TIV-CAMRT-FP0001 X [X]
ITCAM for Transactions 7.2 GA X [X]
ITCAM for Transactions 7.1 EOS Sept 2014
7.1.0.0-TIV-CAMRT-FP0004 X [X]
7.1.0.0-TIV-CAMRT-FP0002 X [X]
7.1.0.0-TIV-CAMRT-IF0002 X [X]
7.1.0.0-TIV-CAMRT-FP0001 X [X]
ITCAM for Transactions 7.1 GA [X]  

[X] Version of ROBOT shipped with this package

 



The following links contain information relevant to the installation, maintenance and use of RPT, RFT and Rational Robot:

In General: customizing robotic playback information is available in the documentation



http://publib.boulder.ibm.com/infocenter/tivihelp/v24r1/index.jsp?topic=/com.ibm.itcamt.doc_7.3/rt/ss_miscellaneous/itcamfrt_robotdeploy.html

RPT:



Minimum system requirements for using RPT



Rational Performance Tester version 7.0.1 for Microsoft Windows and Linux



Rational Performance Tester version 7.0.2 for Microsoft Windows and Linux



Response Time monitoring using RPT and ITCAM: Best Practices and Techniques



RFT:



Minimum system requirements for using RFT



Robot:



ITCAM for RT(T) - Rational License Key Error